"use strict";
this.name      = "wombatsThargoidWarsSatellite"; 
this.author    = "eric walch"; 
this.copyright = "� 2008 eric walch."; 
this.description = "Code for the thargoid satelite"; 
this.version   = "1.10";

this.shipSpawned = function ()
{
    this.ship.orientation = [1,0,1,0];
    this.addThargoidTimer = new Timer(this, this.$addThargoids, 15 + Math.random()*25);
}

this.shipDied = function (who) 
{ 
    this.ship.commsMessage("Nee! Nee! Nee! ... Shh!");
    if (who && who.isPlayer) missionVariables.thargoidwars_number++;
    worldScripts.thargoid_wars.thargoidSatellite();
} 

this.entityDestroyed = function ()
{
    if (this.addThargoidTimer) {this.addThargoidTimer.stop(); delete this.addThargoidTimer};
}

this.$addThargoids = function ()
{
	// Satellite was not killed in time.
	// Inform the thargoid flees that the player is in the system.
	var count = 2 + Math.ceil(Math.random()*3);
	worldScripts.thargoid_wars.setUpRewards(system.addGroup("thargoid", count, [0, 0, 50E3], 5E3));
	count = 1 + Math.round(Math.random()*2);
	worldScripts.thargoid_wars.setUpRewards(system.addGroup("thargoid", count, this.ship.position, 15E3));
}